Bug 161120 - Unused cxxabi.h include in JSGlobalObjectInspectorController.cpp
Summary: Unused cxxabi.h include in JSGlobalObjectInspectorController.cpp
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Platform (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-08-23 17:38 PDT by Don Olmstead
Modified: 2016-08-27 17:17 PDT (History)
5 users (show)

See Also:


Attachments
Move cxxabi to correct position (1.28 KB, patch)
2016-08-23 17:40 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff
Move cxxabi to correct position (1.11 KB, patch)
2016-08-24 17:40 PDT, Don Olmstead
no flags Details | Formatted Diff | Diff
Archive of layout-test-results from ews125 for ios-simulator-elcapitan-wk2 (804.39 KB, application/zip)
2016-08-25 04:42 PDT, Build Bot
no flags Details

Note You need to log in before you can comment on or make changes to this bug.
Description Don Olmstead 2016-08-23 17:38:19 PDT
The cxxabi.h is only used on certain platforms but is being included for all.
Comment 1 Don Olmstead 2016-08-23 17:40:47 PDT
Created attachment 286809 [details]
Move cxxabi to correct position
Comment 2 Alexey Proskuryakov 2016-08-24 17:05:45 PDT
Comment on attachment 286809 [details]
Move cxxabi to correct position

View in context: https://bugs.webkit.org/attachment.cgi?id=286809&action=review

This patch is not marked for review, did you intend to mark it?

> Source/JavaScriptCore/ChangeLog:62926
> +
> +

What happened here?
Comment 3 Don Olmstead 2016-08-24 17:40:20 PDT
Created attachment 286922 [details]
Move cxxabi to correct position
Comment 4 Don Olmstead 2016-08-24 17:40:54 PDT
(In reply to comment #2)
> Comment on attachment 286809 [details]
> Move cxxabi to correct position
> 
> View in context:
> https://bugs.webkit.org/attachment.cgi?id=286809&action=review
> 
> This patch is not marked for review, did you intend to mark it?
> 
> > Source/JavaScriptCore/ChangeLog:62926
> > +
> > +
> 
> What happened here?

Editor managed to do that when i was generating the changelog. Fixed in the new attachment.
Comment 5 Build Bot 2016-08-25 04:42:19 PDT
Comment on attachment 286922 [details]
Move cxxabi to correct position

Attachment 286922 [details] did not pass ios-sim-ews (ios-simulator-wk2):
Output: http://webkit-queues.webkit.org/results/1939461

New failing tests:
fast/viewport/ios/width-is-device-width-overflowing.html
Comment 6 Build Bot 2016-08-25 04:42:21 PDT
Created attachment 286960 [details]
Archive of layout-test-results from ews125 for ios-simulator-elcapitan-wk2

The attached test failures were seen while running run-webkit-tests on the ios-sim-ews.
Bot: ews125  Port: ios-simulator-elcapitan-wk2  Platform: Mac OS X 10.11.5
Comment 7 Alexey Proskuryakov 2016-08-25 09:07:20 PDT
This failure is of course a false positive. Investigating.
Comment 8 WebKit Commit Bot 2016-08-27 17:17:41 PDT
Comment on attachment 286922 [details]
Move cxxabi to correct position

Clearing flags on attachment: 286922

Committed r205091: <http://trac.webkit.org/changeset/205091>
Comment 9 WebKit Commit Bot 2016-08-27 17:17:59 PDT
All reviewed patches have been landed.  Closing bug.